/*
 * Copyright (c) Members of the EGEE Collaboration. 2004. 
 * See http://www.eu-egee.org/partners/ for details on the copyright
 * holders.  
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */

package org.apache.axis;
import java.util.*;

import org.apache.axis.soap.SOAPConstants;
import org.glite.ce.commonj.axis.handlers.AuthorizationHandler;
import org.glite.ce.cream.CREAMService;
import org.glite.ce.cream.configuration.CREAMConfigConstants;
import org.apache.axis.AxisEngine;
import org.apache.axis.Constants;


import java.lang.Boolean;

public class MessageContext {
	
	private Hashtable properties = null;
	public MessageContext() {
		
		super();
		properties = new Hashtable();
		if (System.getProperty("module.dir") == null) {
            System.setProperty("module.dir", "/home/borgia/usr/eclipse/TestWorkspace/org.glite.ce.cream");
        }
		setProperty(CREAMConfigConstants.JOB_DIR_LABEL,System.getProperty("module.dir")+"/test/scratch");
        setProperty(CREAMConfigConstants.CONFIG_DIR_LABEL,System.getProperty("module.dir")+"/test/conf");
        setProperty(CREAMConfigConstants.SANDBOX_DIR_LABEL,System.getProperty("module.dir")+"/test/sandbox");
		
        setProperty(CREAMConfigConstants.CONNECTOR_DIR_LABEL,System.getProperty("module.dir")+"/test/connectors/");
        setProperty(CREAMConfigConstants.CONNECTOR_FILE_LABEL,"TestConnector.jar");

     //   setProperty(CREAMService.PROXYCERT_FILENAME_LABEL,"proxyFilename");
        setProperty(CREAMService.PROXYCERT_INFO_LABEL,"testProxyInfo");
        setProperty(CREAMService.IS_ADMIN_LABEL,"isAdmin");
		setProperty(AuthorizationHandler.USERDN_RFC2253_LABEL,"testAuthz");
		setProperty("org.glite.ce.cream.CREAMService.IS_ADMIN_LABEL",new Boolean("true"));
		setProperty("transport.url","ce-cream:test:test1");
		setProperty(AuthorizationHandler.USERDN_X500_LABEL,"testDN");
//		setProperty(CREAMService.PROXYCERT_VO_LIST_LABEL,new String[]{"testVO"});
		setProperty("SUEXEC","false");
	}

	public static MessageContext getCurrentContext(){
		return new MessageContext();
	}
	
	public void setProperty(String property, Object value){
		properties.put(property, value);
	}
	public Object getProperty(String property){
		return properties.get(property) ;
	}
	public SOAPConstants getSOAPConstants() {
        return Constants.DEFAULT_SOAP_VERSION;
    }
	
	public AxisEngine getAxisEngine()
    {
		AxisEngine   axisEngine = null;
		return axisEngine;
    }

}
